# deadjournal

Simple Web 2.0 blog engine

## How to deploy
- Create a database in mysql/mariadb
- Create tables using the file `sql/schema.sql`: 
```
mysql -u other_user -p some_empty_database < sql/schema.sql
``` 
- Rename `config.example.php` to `config.php`
- Specify the DB connection details in the config.php file

## How to create an admin account 
Let's assume that your desired password is "adminpass123" and login is "admin". First, we should generate a hash for your password: 
`php -r "echo password_hash('adminpass123', PASSWORD_BCRYPT) . PHP_EOL;"`
Copy the hash and put it to the `users` table in DB: 
`mysql -u other_user -p some_empty_database`
```
INSERT INTO users (username, password_hash)
VALUES ('admin', 'hash_value');
```
